package com.iamberry.app.core.entity;

import java.util.Date;

import org.springframework.beans.factory.annotation.Qualifier;

/**
 * @author Sikandar
 *
 */

@Qualifier("milk_making_record")
public class MilkMakingRecord implements IEntity {

	/**
	 * 
	 */
	private static final long serialVersionUID = -2673681146930650920L;
	private Long id;							//id
	private Integer volume;				//冲奶量
	private String controller;				//冲奶操作单位
	private Integer stars;					//评分等级
	private String comments;			//吐槽
	private String brand;					//品牌
	private Long powder_info;			//比例
	private String machine_name;		//机器名
	private String machine;				//冲奶机
	private Long user;						//用户id
	private Date timestamp_;				//冲奶时间

	public MilkMakingRecord() {
	}

	public MilkMakingRecord(Long id, Integer volume, String controller, Integer stars, String comments, String brand, Long powder_info,
			String machine_name, String machine, Long user, Date timestamp) {
		super();
		this.id = id;
		this.volume = volume;
		this.controller = controller;
		this.stars = stars;
		this.comments = comments;
		this.brand = brand;
		this.powder_info = powder_info;
		this.machine_name = machine_name;
		this.machine = machine;
		this.user = user;
		this.timestamp_ = timestamp;
	}

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Integer getVolume() {
		return volume;
	}

	public void setVolume(Integer volume) {
		this.volume = volume;
	}

	public String getController() {
		return controller;
	}

	public void setController(String controller) {
		this.controller = controller;
	}

	public Integer getStars() {
		return stars;
	}

	public void setStars(Integer stars) {
		this.stars = stars;
	}

	public String getComments() {
		return comments;
	}

	public void setComments(String comments) {
		this.comments = comments;
	}

	public String getBrand() {
		return brand;
	}

	public void setBrand(String brand) {
		this.brand = brand;
	}

	public Long getPowder_info() {
		return powder_info;
	}

	public void setPowder_info(Long powder_info) {
		this.powder_info = powder_info;
	}

	public String getMachine_name() {
		return machine_name;
	}

	public void setMachine_name(String machine_name) {
		this.machine_name = machine_name;
	}

	public String getMachine() {
		return machine;
	}

	public void setMachine(String machine) {
		this.machine = machine;
	}

	public Long getUser() {
		return user;
	}

	public void setUser(Long user) {
		this.user = user;
	}

	public Date getTimestamp_() {
		return timestamp_;
	}

	public void setTimestamp_(Date timestamp) {
		this.timestamp_ = timestamp;
	}

}
